<html>
<head>
<title>Ogre::GLXUtils Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLXUtils.html">GLXUtils</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLXUtils Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLXUtils" -->
<p><code>#include &lt;<a class="el" href="OgreGLXUtils_8h_source.html">OgreGLXUtils.h</a>&gt;</code></p>

<p><a href="classOgre_1_1GLXUtils-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static GLXFBConfig&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXUtils.html#a42ac6c3179c2a6496ee585b38148102e">getFBConfigFromContext</a> (Display *display,::<a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a> context)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the GLXFBConfig used to create a ::GLXContext.  <a href="#a42ac6c3179c2a6496ee585b38148102e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static GLXFBConfig&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXUtils.html#a54b8a8e9a159ccfad97c7ee2146a60f3">getFBConfigFromDrawable</a> (Display *display, GLXDrawable drawable, unsigned int *width, unsigned int *height)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the GLXFBConfig used to create a GLXDrawable.  <a href="#a54b8a8e9a159ccfad97c7ee2146a60f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXUtils.html#a1785de86bae1f92ce9fe03c4c4cab945">initialiseGLXEW</a> (Display *display)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise the parts of GLXEW needed to create a GL Context.  <a href="#a1785de86bae1f92ce9fe03c4c4cab945"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static GLXFBConfig&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXUtils.html#a01bba805001b30351255ace54449ac8e">selectFBConfig</a> (Display *display, const int *minAttribs, const int *maxAttribs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Select an FBConfig given a list of required and a list of desired properties.  <a href="#a01bba805001b30351255ace54449ac8e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXUtils.html#a6b66adb44371b179a239b608c1e8afcb">loadIcon</a> (Display *display, const std::string &amp;name, Pixmap *pix, Pixmap *mask)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads an icon from an <a class="el" href="namespaceOgre.html">Ogre</a> resource into the X Server.  <a href="#a6b66adb44371b179a239b608c1e8afcb"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static PFNGLXCHOOSEFBCONFIGPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXUtils.html#a1dfc8970a09e3f1ecabd39b7bdf92098">chooseFBConfig</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static PFNGLXCREATENEWCONTEXTPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXUtils.html#a696ce1b07de0d84e1ce965ff065445bc">createNewContext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static PFNGLXGETFBCONFIGATTRIBPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXUtils.html#a84929d52074df4118f029c63c5049853">getFBConfigAttrib</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <br class="typebreak"/>
PFNGLXGETVISUALFROMFBCONFIGPROC&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLXUtils.html#ad702f5c059eb96eb281f010dfd158a5a">getVisualFromFBConfig</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreGLXUtils_8h_source.html#l00037">37</a> of file <a class="el" href="OgreGLXUtils_8h_source.html">OgreGLXUtils.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a42ac6c3179c2a6496ee585b38148102e"></a><!-- doxytag: member="Ogre::GLXUtils::getFBConfigFromContext" ref="a42ac6c3179c2a6496ee585b38148102e" args="(Display *display,::GLXContext context)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static GLXFBConfig <a class="el" href="classOgre_1_1GLXUtils.html#a42ac6c3179c2a6496ee585b38148102e">Ogre::GLXUtils::getFBConfigFromContext</a> </td>
          <td>(</td>
          <td class="paramtype">Display *&#160;</td>
          <td class="paramname"><em>display</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">::<a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a>&#160;</td>
          <td class="paramname"><em>context</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the GLXFBConfig used to create a ::GLXContext. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">display</td><td>X Display </td></tr>
    <tr><td class="paramname">drawable</td><td><a class="el" href="classOgre_1_1GLXContext.html">GLXContext</a> </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>GLXFBConfig used to create the context </dd></dl>

</div>
</div>
<a class="anchor" id="a54b8a8e9a159ccfad97c7ee2146a60f3"></a><!-- doxytag: member="Ogre::GLXUtils::getFBConfigFromDrawable" ref="a54b8a8e9a159ccfad97c7ee2146a60f3" args="(Display *display, GLXDrawable drawable, unsigned int *width, unsigned int *height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static GLXFBConfig <a class="el" href="classOgre_1_1GLXUtils.html#a54b8a8e9a159ccfad97c7ee2146a60f3">Ogre::GLXUtils::getFBConfigFromDrawable</a> </td>
          <td>(</td>
          <td class="paramtype">Display *&#160;</td>
          <td class="paramname"><em>display</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLXDrawable&#160;</td>
          <td class="paramname"><em>drawable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int *&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int *&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the GLXFBConfig used to create a GLXDrawable. </p>
<p>Caveat: GLX version 1.3 is needed when the drawable is a GLXPixmap</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">display</td><td>X Display </td></tr>
    <tr><td class="paramname">drawable</td><td>GLXDrawable </td></tr>
    <tr><td class="paramname">width</td><td>Receiver for the drawable width </td></tr>
    <tr><td class="paramname">height</td><td>Receiver for the drawable height </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>GLXFBConfig used to create the drawable </dd></dl>

</div>
</div>
<a class="anchor" id="a1785de86bae1f92ce9fe03c4c4cab945"></a><!-- doxytag: member="Ogre::GLXUtils::initialiseGLXEW" ref="a1785de86bae1f92ce9fe03c4c4cab945" args="(Display *display)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1GLXUtils.html#a1785de86bae1f92ce9fe03c4c4cab945">Ogre::GLXUtils::initialiseGLXEW</a> </td>
          <td>(</td>
          <td class="paramtype">Display *&#160;</td>
          <td class="paramname"><em>display</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialise the parts of GLXEW needed to create a GL Context. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">display</td><td>X Display </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6b66adb44371b179a239b608c1e8afcb"></a><!-- doxytag: member="Ogre::GLXUtils::loadIcon" ref="a6b66adb44371b179a239b608c1e8afcb" args="(Display *display, const std::string &amp;name, Pixmap *pix, Pixmap *mask)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1GLXUtils.html#a6b66adb44371b179a239b608c1e8afcb">Ogre::GLXUtils::loadIcon</a> </td>
          <td>(</td>
          <td class="paramtype">Display *&#160;</td>
          <td class="paramname"><em>display</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Pixmap *&#160;</td>
          <td class="paramname"><em>pix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Pixmap *&#160;</td>
          <td class="paramname"><em>mask</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Loads an icon from an <a class="el" href="namespaceOgre.html">Ogre</a> resource into the X Server. </p>
<p>This currently only works for 24 and 32 bit displays. The image must be findable by the <a class="el" href="namespaceOgre.html">Ogre</a> resource system, and of format PF_A8R8G8B8.</p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">display</td><td>X display </td></tr>
    <tr><td class="paramname">name</td><td>Name of image to load </td></tr>
    <tr><td class="paramname">pix</td><td>Receiver for the output pixmap </td></tr>
    <tr><td class="paramname">mask</td><td>Receiver for the output mask (alpha bitmap) </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>true on success </dd></dl>

</div>
</div>
<a class="anchor" id="a01bba805001b30351255ace54449ac8e"></a><!-- doxytag: member="Ogre::GLXUtils::selectFBConfig" ref="a01bba805001b30351255ace54449ac8e" args="(Display *display, const int *minAttribs, const int *maxAttribs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static GLXFBConfig <a class="el" href="classOgre_1_1GLXUtils.html#a01bba805001b30351255ace54449ac8e">Ogre::GLXUtils::selectFBConfig</a> </td>
          <td>(</td>
          <td class="paramtype">Display *&#160;</td>
          <td class="paramname"><em>display</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int *&#160;</td>
          <td class="paramname"><em>minAttribs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int *&#160;</td>
          <td class="paramname"><em>maxAttribs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Select an FBConfig given a list of required and a list of desired properties. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">display</td><td>X Display </td></tr>
    <tr><td class="paramname">minAttribs</td><td>FBConfig attributes that must be provided with minimum values </td></tr>
    <tr><td class="paramname">maxAttribs</td><td>FBConfig attributes that are preferred with maximum values </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>GLXFBConfig with attributes or 0 when unsupported. </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a1dfc8970a09e3f1ecabd39b7bdf92098"></a><!-- doxytag: member="Ogre::GLXUtils::chooseFBConfig" ref="a1dfc8970a09e3f1ecabd39b7bdf92098" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLXCHOOSEFBCONFIGPROC <a class="el" href="classOgre_1_1GLXUtils.html#a1dfc8970a09e3f1ecabd39b7bdf92098">Ogre::GLXUtils::chooseFBConfig</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXUtils_8h_source.html#l00042">42</a> of file <a class="el" href="OgreGLXUtils_8h_source.html">OgreGLXUtils.h</a>.</p>

</div>
</div>
<a class="anchor" id="a696ce1b07de0d84e1ce965ff065445bc"></a><!-- doxytag: member="Ogre::GLXUtils::createNewContext" ref="a696ce1b07de0d84e1ce965ff065445bc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLXCREATENEWCONTEXTPROC <a class="el" href="classOgre_1_1GLXUtils.html#a696ce1b07de0d84e1ce965ff065445bc">Ogre::GLXUtils::createNewContext</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXUtils_8h_source.html#l00043">43</a> of file <a class="el" href="OgreGLXUtils_8h_source.html">OgreGLXUtils.h</a>.</p>

</div>
</div>
<a class="anchor" id="a84929d52074df4118f029c63c5049853"></a><!-- doxytag: member="Ogre::GLXUtils::getFBConfigAttrib" ref="a84929d52074df4118f029c63c5049853" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLXGETFBCONFIGATTRIBPROC <a class="el" href="classOgre_1_1GLXUtils.html#a84929d52074df4118f029c63c5049853">Ogre::GLXUtils::getFBConfigAttrib</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXUtils_8h_source.html#l00044">44</a> of file <a class="el" href="OgreGLXUtils_8h_source.html">OgreGLXUtils.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad702f5c059eb96eb281f010dfd158a5a"></a><!-- doxytag: member="Ogre::GLXUtils::getVisualFromFBConfig" ref="ad702f5c059eb96eb281f010dfd158a5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PFNGLXGETVISUALFROMFBCONFIGPROC <a class="el" href="classOgre_1_1GLXUtils.html#ad702f5c059eb96eb281f010dfd158a5a">Ogre::GLXUtils::getVisualFromFBConfig</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLXUtils_8h_source.html#l00045">45</a> of file <a class="el" href="OgreGLXUtils_8h_source.html">OgreGLXUtils.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLXUtils_8h_source.html">OgreGLXUtils.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:17
</p>
</body>
</html>
